using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void OnAjaxUpdate(object sender, ToolTipUpdateEventArgs args)
    {
        this.UpdateToolTip(args.Value, args.UpdatePanel);
    }
    private void UpdateToolTip(string elementID, UpdatePanel panel)
    {
        Control ctrl = Page.LoadControl("ProductDetails.ascx");
        panel.ContentTemplateContainer.Controls.Add(ctrl);
        ProductDetails details = (ProductDetails)ctrl;
        details.ProductID = elementID;
    }
    protected void RadGrid1_ItemDataBound(object sender, GridItemEventArgs e)
    {
          if (e.Item.ItemType == GridItemType.Item || e.Item.ItemType == GridItemType.AlternatingItem)
          {
              Control target = e.Item.FindControl("targetControl");
              if (!Object.Equals(target, null))
              {
                  if (!Object.Equals(this.RadToolTipManager1, null))
                  {
                       DataRowView currentRow = (DataRowView)e.Item.DataItem;
                       //Add the button (target) id to the tooltip manager
                       this.RadToolTipManager1.TargetControls.Add(target.ClientID, currentRow.Row["ProductID"].ToString(), true);

                   
                  }
              }
          }
    }
    protected void RadGrid1_PageIndexChanged(object source, GridPageChangedEventArgs e)
    {
        RadToolTipManager1.TargetControls.Clear();
    }
}

