<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductDetails.ascx.cs" Inherits="ProductDetails" %>
 <asp:FormView ID="ProductsView" DataSourceID="ProductDataSource" DataKeyNames="ProductID"
                        runat="server" OnDataBound="ProductsView_DataBound">
                        <ItemTemplate>               
        <span class="title">Product Name: </span>
        <asp:Label CssClass="info" ID="ProductName" runat="server"><%# Eval("ProductName") %></asp:Label>  
        <br />          
        <span class='title'>Category:</span>
        <asp:Label CssClass="info" ID="Category" runat="server">Seafood</asp:Label> 
                <br />            
        <span class='title'>Quantity Per Unit:</span>
        <asp:Label CssClass="info" ID="Label1" runat="server"><%# Eval("QuantityPerUnit")%></asp:Label> 
                <br />            
        <span class='title'>Unit Price:</span>
        <asp:Label CssClass="info" ID="Label2" runat="server"><%# Eval("UnitPrice")%></asp:Label>   
                <br />          
        <span class='title'>Units In Stock:</span>
        <asp:Label CssClass="info" ID="Label3" runat="server"><%# Eval("UnitsInStock")%></asp:Label>  
                <br />           
        <span class='title'>Units On Order:</span>
        <asp:Label CssClass="info" ID="Label4" runat="server"><%# Eval("UnitsOnOrder")%></asp:Label>        
        
        <span class='title'>Supplier's Company Name:</span>
        <asp:Label CssClass="info" ID="Label6" runat="server"><%# Eval("CompanyName")%></asp:Label>       
        <span class='title'>Supplier's Contact Name:</span>
        <asp:Label CssClass="info" ID="Label5" runat="server"><%# Eval("ContactName")%></asp:Label>        
                        </ItemTemplate>
                    </asp:FormView>                    

<asp:AccessDataSource ID="ProductDataSource" runat="server" DataFile="~/App_Data/Nwind.mdb"
    SelectCommand="SELECT * FROM [Products] INNER JOIN [Suppliers] ON Products.SupplierID=Suppliers.SupplierID   WHERE ([ProductID] = ?)"> 
    <SelectParameters>
        <asp:Parameter Name="ProductID" Type="Int32" />
    </SelectParameters>
</asp:AccessDataSource>
