﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Src="ProductDetails.ascx" TagName="ProductDetails" TagPrefix="uc1" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head runat="server">
    <title>Untitled Page</title>
    <style type="text/css">
    .title
{
	font-size: 12px;
    display: block;
    font-weight: bold;
    color: #ff6fb9;
}

.info
{
    color: black;
    font-size: 11px;
}
    </style>

    <script type="text/javascript">
function rowMouseOver(sender, eventArgs)
{ 
     //you can take the number of the row here
    //alert("Mouse is over row: " + eventArgs.get_itemIndexHierarchical());
    //make a postback and transfer the value; there are several ways, choose the one which fits best your logic
    //__doPostBack("","");
}
    </script>

</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" />
        <div>
            <telerik:RadToolTipManager ID="RadToolTipManager1" runat="server" OnAjaxUpdate="OnAjaxUpdate"
                Position="BottomRight">
            </telerik:RadToolTipManager>
        </div>
        <telerik:RadGrid ID="RadGrid1" runat="server" DataSourceID="AccessDataSource1" GridLines="None"
            OnItemDataBound="RadGrid1_ItemDataBound" AllowPaging="true" OnPageIndexChanged="RadGrid1_PageIndexChanged">
            <ClientSettings>
                <ClientEvents OnRowMouseOver="rowMouseOver" />
            </ClientSettings>
            <ExportSettings>
                <Pdf FontType="Subset" PaperSize="Letter" />
                <Excel Format="Html" />
                <Csv ColumnDelimiter="Comma" RowDelimiter="NewLine" />
            </ExportSettings>
            <MasterTableView AutoGenerateColumns="False" CommandItemDisplay="None" CurrentResetPageIndexAction="SetPageIndexToFirst"
                DataKeyNames="ProductID" DataSourceID="AccessDataSource1" Dir="LTR" Frame="Border"
                TableLayout="Auto">
                <RowIndicatorColumn CurrentFilterFunction="NoFilter" FilterListOptions="VaryByDataType"
                    Visible="False">
                    <HeaderStyle Width="20px" />
                </RowIndicatorColumn>
                <ExpandCollapseColumn CurrentFilterFunction="NoFilter" FilterListOptions="VaryByDataType"
                    Resizable="False" Visible="False">
                    <HeaderStyle Width="20px" />
                </ExpandCollapseColumn>
                <Columns>
                    <telerik:GridBoundColumn CurrentFilterFunction="NoFilter" DataField="ProductID" DataType="System.Int32"
                        FilterListOptions="VaryByDataType" ForceExtractValue="None" HeaderText="ProductID"
                        ReadOnly="True" SortExpression="ProductID" UniqueName="ProductID">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn CurrentFilterFunction="NoFilter" DataField="ProductName"
                        FilterListOptions="VaryByDataType" ForceExtractValue="None" HeaderText="ProductName"
                        SortExpression="ProductName" UniqueName="ProductName">
                    </telerik:GridBoundColumn>
                    <telerik:GridTemplateColumn HeaderText="ToolTipified">
                        <ItemTemplate>
                            <asp:LinkButton ID="targetControl" runat="server">Show Tooltip</asp:LinkButton>
                        </ItemTemplate>
                    </telerik:GridTemplateColumn>
                </Columns>
                <EditFormSettings>
                    <EditColumn CurrentFilterFunction="NoFilter" FilterListOptions="VaryByDataType">
                    </EditColumn>
                </EditFormSettings>
            </MasterTableView>
        </telerik:RadGrid>
       
        <asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/App_Data/Nwind.mdb"
            SelectCommand="SELECT * FROM [Products]"></asp:AccessDataSource>
    </form>
</body>
</html>
